Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.planner
Class HadoopStepGraph

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<FlowStep<Config>,Integer>
                  cascading.flow.planner.FlowStepGraph<JobConf>
                      cascading.flow.hadoop.planner.HadoopStepGraph

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph<FlowStep<JobConf>,Integer>, org.jgrapht.Graph<FlowStep<JobConf>,Integer>

    public class HadoopStepGraph

extends FlowStepGraph<JobConf>

See Also:
  Serialized Form

Constructor Summary
`HadoopStepGraph()`
`HadoopStepGraph(String flowName, ElementGraph elementGraph)`

Method Summary
`protected FlowStep<JobConf>` | `createFlowStep(String stepName, int stepNum)`
`protected void` | `makeStepGraph(String flowName, ElementGraph elementGraph)` Creates the map reduce step graph.

Methods inherited from class cascading.flow.planner.FlowStepGraph
`getCreateFlowStep, getTopologicalIterator, pathContainsTap, printElementGraph, writeDOT`

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### HadoopStepGraph

    public HadoopStepGraph()

### HadoopStepGraph

    public HadoopStepGraph(String flowName,
                           ElementGraph elementGraph)

Method Detail

### createFlowStep

    protected FlowStep<JobConf> createFlowStep(String stepName,
                                               int stepNum)

  Specified by:
    `createFlowStep` in class `FlowStepGraph<JobConf>`

### makeStepGraph

    protected void makeStepGraph(String flowName,
                                 ElementGraph elementGraph)

  Creates the map reduce step graph.

  Specified by:
    `makeStepGraph` in class `FlowStepGraph<JobConf>`
  Parameters:
    `flowName` -
    `elementGraph` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.